Bug 1135509 (kinfocenter) - Review Request: kinfocenter - KDE Info Center
Summary: Review Request: kinfocenter - KDE Info Center
Keywords:
Status: CLOSED RAWHIDE
Alias: kinfocenter
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
Jan Grulich
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2014-08-29 13:39 UTC by Daniel Vrátil
Modified: 2015-11-02 01:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 13:34:43 UTC
jgrulich: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Vrátil 2014-08-29 13:39:09 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kinfocenter.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kinfocenter-5.0.1-1.fc20.src.rpm
Description: KDE Info Center.
Fedora Account System Username: dvratil

Comment 1 Jan Grulich 2014-11-20 15:18:47 UTC
1) Some files are also under LGPLv2+
2) Missing provides for obsoleted kde-workspace, but this will be solved in future
3) Missing %config in front of /etc/xdg/menus/kinfocenter.menu

Comment 2 Daniel Vrátil 2014-12-19 16:16:11 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kinfocenter.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kinfocenter-5.1.2-2.fc21.src.rpm

- fixed license
- fixed missing %config

Obsoletes/conflict with kde-workspace is not desired. Instead, kinfocenter subpackage should be created in kde-workspace to ensure smooth upgrade path.

Comment 3 Rex Dieter 2014-12-31 22:02:43 UTC
ping, awaiting feedback from reviewer.

Comment 4 Jan Grulich 2015-01-02 15:02:04 UTC
Looks good now, package approved.

Comment 5 Daniel Vrátil 2015-01-06 15:32:39 UTC
New Package SCM Request
=======================
Package Name: kinfocenter
Short Description: KDE Info Center
Upstream URL: https://projects.kde.org/projects/kde/workspace/kinfocenter
Owners: group::kde-sig
Branches:
InitialCC:

Comment 6 Jan Grulich 2015-01-06 15:48:37 UTC
Spotted 2 more issues, both are not blockers and could be fixed during import:
- url should be https://projects.kde.org/projects/kde/workspace/kinfocenter
- use make install make install/fast  DESTDIR=%{buildroot} -C %{_target_platform} instead of %make_install ...

Comment 7 Daniel Vrátil 2015-01-06 16:04:55 UTC
All fixed locally, also added --with-kde to %find_lang to extract localized docs

Comment 8 Gwyn Ciesla 2015-01-06 16:07:16 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.